%global pycopr_version 1.76

# Compatibility macro
%{?!_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:       copr-cli
Version:    1.58
Release:    %mkrel 3
Summary:    Command line interface for COPR

Group:      System/Packaging
License:    GPLv2+
URL:        https://pagure.io/copr/copr
# Source is created by
# git clone https://pagure.io/copr/copr.git
# cd copr/cli
# tito build --tgz
Source0: %{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires: asciidoc
BuildRequires: xsltproc
BuildRequires: util-linux
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-copr >= %{pycopr_version}

Requires:   python3-setuptools
Requires:   python3-copr >= %{pycopr_version}
Requires:   python3-simplejson
Requires:   python3-jinja2
Recommends: python3-progress
Requires:   wget

%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package contains command line interface.

%prep
%setup -q


%build
%py3_build

mv copr_cli/README.rst ./

# convert manages
a2x -d manpage -f manpage man/copr-cli.1.asciidoc

%install
install -d %{buildroot}%{_pkgdocdir}/
%py3_install

ln -sf %{_bindir}/copr-cli %{buildroot}%{_bindir}/copr

install -d %{buildroot}%{_mandir}/man1
install -p -m 644 man/copr-cli.1 %{buildroot}/%{_mandir}/man1/
install -p man/copr.1 %{buildroot}/%{_mandir}/man1/

%files
%license LICENSE
%doc README.rst
%{_bindir}/copr-cli
%{_bindir}/copr
%{python3_sitelib}/*
%{_mandir}/man1/copr-cli.1*
%{_mandir}/man1/copr.1*





%changelog
* Tue Apr 18 2017 ngompa <ngompa> 1.58-3.mga6
+ Revision: 1096645
- Add Recommends python3-progress

* Mon Apr 17 2017 wally <wally> 1.58-2.mga6
+ Revision: 1096620
- require python3-jinja2

* Sat Apr 08 2017 ngompa <ngompa> 1.58-1.mga6
+ Revision: 1096137
- Update to 1.58

* Thu Aug 18 2016 ngompa <ngompa> 1.55-1.mga6
+ Revision: 1046817
- Update to 1.55

* Tue Jun 07 2016 ngompa <ngompa> 1.51-1.mga6
+ Revision: 1020560
- Update to 1.51
  ?\226?\151?\139 Changes from 1.50
  ?\226?\151?\139- support for package manipulation
  ?\226?\151?\139- added watch-build subcommand
  ?\226?\151?\139- rhbz 1333771 - Traceback from copr-cli when missing --pythonversions
  ?\226?\151?\139- rubygems CLI support implemented

* Sun May 15 2016 ngompa <ngompa> 1.50-2.mga6
+ Revision: 1015724
- imported package copr-cli

